# Ogre::EdgeListBuilder::Geometry Struct Reference

A set of indexed geometry data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
size_t | indexSet
const IndexData * | indexData
RenderOperation::OperationType | opType

## Detailed Description

A set of indexed geometry data.

Definition at line 211 of file OgreEdgeListBuilder.h.

## Member Data Documentation

const IndexData* Ogre::EdgeListBuilder::Geometry::indexData

Definition at line 214 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::Geometry::indexSet

Definition at line 213 of file OgreEdgeListBuilder.h.

Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

RenderOperation::OperationType Ogre::EdgeListBuilder::Geometry::opType

Definition at line 215 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::Geometry::vertexSet

Definition at line 212 of file OgreEdgeListBuilder.h.

Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54